Editing time entries should show the person involved

2009-09-01 09:06 - Roderik van der Veer

Status: Closed Start date: 2009-09-01

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed   

Description

I'm currently running the trunk version of 30/8 and I'm working on an evaluation of a project based on the time-tracking features of

Redmine. Now I'm cleaning up the activity settings of all the time entries and i noticed that the user involved is not show on the edit

form. this is a pain because I've opened all wrongly assigned time entries in a tab, and now I'm not sure who did what and what the

correct activity should be. The user is an essential part of the context needed when editing a time entry.

Related issues:

Related to Redmine - Feature #3848: Permission to log time for another user Closed 2009-09-11

Associated revisions

Revision 19653 - 2020-04-05 10:29 - Jean-Philippe Lang

Editing time entries should show the time entry user (#3800).

Patch by Marius BALTEANU.

Revision 19654 - 2020-04-05 10:35 - Jean-Philippe Lang

Show user name in time entry bulk edit (#3800).

Patch by Kevin Fischer.

Revision 19662 - 2020-04-05 12:14 - Jean-Philippe Lang

Fixed assertion broken by r19654 (#3800).

Revision 19664 - 2020-04-05 13:19 - Jean-Philippe Lang

Merged r19653, r19654 and r19662 to 4.1-stable (#3800).

History

#1 - 2020-03-08 13:59 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented in Redmine 4.1.0 (#3848).

#2 - 2020-03-08 13:59 - Go MAEDA

- Is duplicate of Feature #3848: Permission to log time for another user added

#3 - 2020-03-08 22:06 - Marius BĂLTEANU

- Is duplicate of deleted (Feature #3848: Permission to log time for another user)

#4 - 2020-03-08 22:06 - Marius BĂLTEANU

- Related to Feature #3848: Permission to log time for another user added

#5 - 2020-03-08 22:12 - Marius BĂLTEANU

- File Screenshot 2020-03-08 at 23.07.39.png added

- Status changed from Closed to Reopened
- Assignee set to Marius BĂLTEANU

- Target version set to Candidate for next major release

- Resolution deleted (Duplicate)

It's implemented only for users with permission to log time for other users. I think we can add an read only field also for users without permissions.

#6 - 2020-03-09 07:53 - Go MAEDA

Marius BALTEANU wrote:

I think we can add an read only field also for users without permissions.

 +1

#7 - 2020-03-10 22:49 - Marius BĂLTEANU

- File time_entry_user.png added

We can show the user as link/string instead of a read only field, it's ok?

 time_entry_user.png 

#8 - 2020-03-10 22:57 - Marius BĂLTEANU

- Subject changed from Edititng time entries should show the person involved to Editing time entries should show the person involved

#9 - 2020-03-14 17:38 - Marius BĂLTEANU

- File 0001-Show-time-entry-user-info-in-edit-page-also-for-user.patch added

- Assignee deleted (Marius BĂLTEANU)

- Target version changed from Candidate for next major release to 4.1.1

Here is the patch, I think it's safe to deliver this in 4.1.1

Tests result here

#10 - 2020-03-23 02:08 - Kevin Fischer

- File 0002-show-user-name-in-time-entry-batch-edit.patch added

Patch looks good to me!

By the way: When I looked at the current behaviour I was thinking:

Wouldn't it be convenient if the User of each time entry was also displayed in the link text of each time entry on the top? It would address the same

problem as in the original post...

I added a potential patch for that...

#11 - 2020-04-05 10:36 - Jean-Philippe Lang

- Status changed from Reopened to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Both patches committed, thanks.

Just a slight change to Kevin's patch to prevent calling #name on nil.

#12 - 2020-04-05 11:49 - Marius BĂLTEANU

Test fails:

 Failure:

 TimelogControllerTest#test_get_bulk_edit [/builds/redmine-org/redmine/test/functional/timelog_controller_test

.rb:712]:

 <03/23/2007 - eCookbook: 4.25 hours> expected but was

 <03/23/2007 - eCookbook: 4.25 hours (John Smith)>..

 Expected 0 to be >= 1.

 bin/rails test test/functional/timelog_controller_test.rb:706
#13 - 2020-04-05 13:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

Screenshot 2020-03-08 at 23.07.39.png 65.7 KB 2020-03-08 Marius BĂLTEANU

time_entry_user.png 76 KB 2020-03-10 Marius BĂLTEANU

0001-Show-time-entry-user-info-in-edit-page-also-for-user.patch 2.12 KB 2020-03-14 Marius BĂLTEANU

0002-show-user-name-in-time-entry-batch-edit.patch 823 Bytes 2020-03-23 Kevin Fischer
